Entwurf Klonen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft PointArray.svg Punkt Anordnung Vorherige:
Nächste: Zeichnung Draft Drawing.svg Arrow-right.svg

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Klonen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Entwurf Verschieben, Entwurf Skalieren


Beschreibung

Das Draft Clone.svg Entwurf KlonenWerkzeug erstellt verbundene Kopien einer ausgewählten Form. Das bedeutet, wenn sich das Originalobjekt ändert, ändert sich auch alle Klone. Trotzdem behält aber jeder Klon seine eigene Position, Rotation und Größe als auch seine Ansichteigenschaften wie Farbe, Linienstärke und Transparenz.

Das Klonwerkzeug kann auf 2D Formen angewendet werden, die mit dem Draft Arbeitsbereich erstellt wurden, aber auch auf vielen Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich, PartDesign Arbeitsbereich oder Arch Arbeitsbereich en erstellt wurden.

Um einfache Kopien zu erzeugen, die völlig unabhängig von einem Originalobjekt sind, verwende Draft Move, Draft Rotate und Draft Scale. Um Kopien in einem orthogonalen Feld zu positionieren, verwende Draft Array

um Kopien entlang eines Pfades zu positionieren, verwende Draft PathArray; um Kopien an bestimmten Punkten zu positionieren verwendeDraft PointArray.

Draft Clone example.jpg

Klon neben dem urspünglichen Objekt


Anwendung

  1. Wähle ein Objekt das Du klonen möchtest.
  2. Drücke die Draft Clone.svg Entwurf Klonen Taste.

Abhängig von den Optionen wird das Draft Scale.svg Draft Scale Werkzeug auch einen Klon in einem bestimmten Maßstab erzeugen.

Klone von 2D Objekten, die mit der Draft Arbeitsbereich oder Skizze Arbeitsbereichen erstellt wurden, sind ebenfalls 2D Objekte und können daher als solche für die PartDesign Arbeitsbereich verwendet werden.

Alle Arch Arbeitsbereich Objekte haben die Möglichkeit, sich mit ihrer Eigenschaft Daten-EigenschaftCloneOf als Klone zu verhalten. Wenn du das Werkzeug Entwurfsklon auf einem ausgewählten Bogenobjekt verwendest, produzierst du einen solchen Bogenklon anstelle eines regulären Entwurfsklons.

Einschränkungen

Momentan können Sketcher Skizzen nicht auf Flächen eines Klons abgebildet werden.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Eigenschaften

  • Daten-EigenschaftObjects: Gibt eine Liste von Basisobjekten an, die geklont werden.
  • Daten-EigenschaftScale: Gibt den Skalierungsfaktor des Klons an, in jeder der X-, Y- und Z-Richtungen.
  • Daten-EigenschaftFuse: Falls auf True gesetzt und Daten-EigenschaftObjects viele Objekte enthält, die sich einander schneiden, dann wird sie der resultierende Klon miteinander verschmelzen (fuse), oder einen Verbund aus ihnen erstellen introduced in version 0.17

Scripting

Siehe auch: Draft API und FreeCAD Scripting Grundlagen.

Das Klon Werkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion angesprochen werden:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Erstellt ein cloned_object aus obj, was ein einzelnes oder eine Liste von Objekten sein kann.
  • Falls gegeben, ist delta ein FreeCAD.Vector, der den neuen Klon von der ursprünglichen Position des Basisobjekts verschiebt.
  • Falls forcedraft auf TRUE gesetzt ist, wird das resultierende Objekt ein Draft-Klon sein und kein Arch-Klon, selbst wenn obj ein Arch-Objekt ist.

Die Verschmelzung der Objekte, die Teil des Klons sind, kann durch setzen des Fuse-Attributs auf TRUE erreicht werden.

Beispiel:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()